package info.bukova.isspst.ui.search;

import info.bukova.isspst.data.User;

import java.util.Date;

/**
 * @author Pepa Rokos
 * 
 * Třída výsledků fulltextového vyhledávání. Na property objektu této třídy jsou bindovány prvky ze zobrazovacího ZUL souboru.
 *
 */
public class SearchResult {

	private String recordName;
	private String description;
	private String url;
	private Date created;
	private Date modified;
	private User ownedBy;
	private User modifiedBy;

	public String getRecordName() {
		return recordName;
	}

	public void setRecordName(String recordName) {
		this.recordName = recordName;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public Date getCreated() {
		return created;
	}

	public void setCreated(Date created) {
		this.created = created;
	}

	public Date getModified() {
		return modified;
	}

	public void setModified(Date modified) {
		this.modified = modified;
	}

	public User getOwnedBy() {
		return ownedBy;
	}

	public void setOwnedBy(User ownedBy) {
		this.ownedBy = ownedBy;
	}

	public User getModifiedBy() {
		return modifiedBy;
	}

	public void setModifiedBy(User modifiedBy) {
		this.modifiedBy = modifiedBy;
	}

}
